Search DataHub documents
curl --request GET \
--url https://api.example.com/api/documents/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/documents/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/documents/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Documents
Search DataHub documents
Search for documents across the DataHub catalog.
Returns all documents you have access to, not just your own uploads. When you enable DataHub semantic search, it ranks results by vector similarity.
GET
/
api
/
documents
/
search
Search DataHub documents
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Response
Successful Response
Was this page helpful?
⌘I

